#!/usr/bin/python

import jenkins
import os
import shutil

JENKINS = "http://localhost:8080"
j = jenkins.Jenkins(JENKINS)

for job_name in os.listdir("jobs"):
    jenkins_config = j.get_job_config(job_name)
    with open("jobs/%s/config.xml" % job_name, "w") as f:
        f.write(jenkins_config)
    shutil.copy("/var/lib/jenkins/config.xml", ".")
