#!/bin/bash

jobs=$(java -jar /var/cache/jenkins/war/WEB-INF/jenkins-cli.jar -s http://localhost:8080 list-jobs)

mkdir -p jobs
for job in $jobs; do
    echo "Fetching job: $job"
    mkdir -p "jobs/$job"
    java -jar /var/cache/jenkins/war/WEB-INF/jenkins-cli.jar \
        -s http://localhost:8080 get-job $job > "jobs/$job/config.xml"
done
